"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeCounterProvider = makeCounterProvider;
const constants_1 = require("../constants");
const utils_1 = require("./utils");
/**
 * @public
 */
function makeCounterProvider(options) {
    return {
        provide: (0, utils_1.getToken)(options.name),
        useFactory(config) {
            return (0, utils_1.getOrCreateMetric)("Counter", options, config);
        },
        inject: [
            {
                token: constants_1.PROMETHEUS_OPTIONS,
                optional: true,
            },
        ],
    };
}
//# sourceMappingURL=counter.js.map