import * as client from "prom-client";
import { PrometheusContentType, RegistryContentType } from "prom-client";
import { PrometheusOptions } from "../interfaces";
/**
 * @internal
 */
export type Metrics = "Gauge" | "Summary" | "Histogram" | "Counter";
/**
 * @internal
 */
export type Options = client.GaugeConfiguration<string> | client.SummaryConfiguration<string> | client.CounterConfiguration<string> | client.HistogramConfiguration<string>;
/**
 * @internal
 */
export declare function getOrCreateMetric<T extends RegistryContentType = PrometheusContentType>(type: Metrics, options: Options, prometheusOptions?: PrometheusOptions<T>): client.Metric<string>;
/**
 * @public
 */
export declare function getToken(name: string): string;
//# sourceMappingURL=utils.d.ts.map