import { DynamicModule, Provider } from "@nestjs/common";
import { RegistryContentType } from "prom-client";
import { PrometheusAsyncOptions, PrometheusOptions } from "./interfaces";
/**
 * The primary entrypoint. This should be registered once in the root application module.
 *
 * @public
 */
export declare class PrometheusModule {
    static register<T extends RegistryContentType>(options?: PrometheusOptions<T>): DynamicModule;
    static registerAsync<T extends RegistryContentType>(options: PrometheusAsyncOptions<T>): DynamicModule;
    static createAsyncProviders<T extends RegistryContentType>(options: PrometheusAsyncOptions<T>): Provider[];
    static createAsyncOptionsProvider<T extends RegistryContentType>(options: PrometheusAsyncOptions<T>): Provider;
    private static configureServer;
    private static configurePushgateway;
    private static createPushgatewayProvider;
    private static makeDefaultOptions;
}
//# sourceMappingURL=module.d.ts.map